## python-iso8601 1.0.2

=== docs/requirements.txt ===
Sphinx>=1.2.1
.

## python-iso8601 0.1.4

=== debian/changelog ===
python-iso8601 (0.1.4-2) unstable; urgency=low

  * Convert to dh_python2 (Closes: #661534)
  * Bumped standard version to 3.9.3.

 -- Benjamin Mako Hill <mako@debian.org>  Sun, 08 Apr 2012 20:25:40 -0400

python-iso8601 (0.1.4-1) unstable; urgency=low

  * Initial release of package in Debian. (Closes: #612941)

 -- Benjamin Mako Hill <mako@debian.org>  Fri, 11 Feb 2011 00:40:18 -0500

=== debian/control ===
Source: python-iso8601
Section: python
Priority: extra
Maintainer: Benjamin Mako Hill <mako@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: https://code.google.com/p/pyiso8601
XS-Python-Version: >= 2.5

Package: python-iso8601
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: python module to parse ISO 8601 dates
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf iso8601.egg-info

## python-iso8601 0.1.8

=== debian/changelog ===
python-iso8601 (0.1.8-1) unstable; urgency=low

  * New upstream version. (Closes: #732284)
  * Add debian/watch file to avoid these bugs in the future.

 -- Benjamin Mako Hill <mako@debian.org>  Tue, 17 Dec 2013 12:56:36 -0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: python
 Priority: extra
 Maintainer: Benjamin Mako Hill <mako@debian.org>
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all
+Build-Depends-Indep: python-support (>=0.90)
+Standards-Version: 3.9.4
 Homepage: https://code.google.com/p/pyiso8601
-XS-Python-Version: >= 2.5
 
 Package: python-iso8601
 Architecture: all

## python-iso8601 0.1.10

=== debian/changelog ===
python-iso8601 (0.1.10-1) unstable; urgency=medium

  * Adopt package into DPMT, with permission of original maintainer.
  * Imported package into team git repo, using `git-import-dscs --debsnap`.
  * d/control:
    - Updated build dependencies.
    - Added myself to Maintainer and the team to Uploaders.
    - Updated Standards-Version with no other changes necessary.
    - Added X-Python{,3}-Version headers.
    - Updated Homepage header.
    - Added Vcs-* headers
    - Added XS-Testsuite header.
  * d/patches: Let gbp-pq rename and adjust debian/patches/*
  * d/tests: Added DEP-8 tests for Python 2 and 3.

 -- Barry Warsaw <barry@debian.org>  Fri, 29 Aug 2014 11:01:06 -0700

python-iso8601 (0.1.10-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Remove unnecessary build dependency on python-support.

 -- Barry Warsaw <barry@debian.org>  Wed, 02 Jul 2014 16:02:49 -0400

python-iso8601 (0.1.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #740311).
  * Added Python3 support (Closes: #738327).
  * Switch away from python-support which is deprecated, use dh short style
    and python-setuptools instead.
  * Running the unit tests using pytest.
  * debian/copyright in parseable format 1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Mar 2014 14:15:58 +0000

=== debian/control ===
Source: python-iso8601
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Benjamin Mako Hill <mako@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest
Homepage: https://pypi.python.org/pypi/iso8601
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-iso8601.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-iso8601.git

Package: python-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: python module to parse ISO 8601 dates - Python 2.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 2.x module.

Package: python3-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: python module to parse ISO 8601 dates - Python 3.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-iso8601; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-iso8601; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	py.test --verbose iso8601
	py.test-3 --verbose iso8601
endif

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/i/iso8601/iso8601-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-iso8601 0.1.11

=== debian/changelog ===
python-iso8601 (0.1.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/copyright: Update Source location.
  * d/control:
    - Drop unnecessary version constraints.
    - Update Vcs-Browser URI.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 18 Nov 2015 21:05:38 +0200

python-iso8601 (0.1.10-3) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Add pypy-iso8601 package.
    - Fix capitalization of "Python" in descriptions.
    - Remove unnecessary XS-Testsuite field.
  * d/rules: Add --with pypy.
  * d/copyright: Fix ordering of stanzas.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 04 Sep 2015 09:07:54 +0200

python-iso8601 (0.1.10-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.
  * d/compat: Bump to version 9.

 -- Barry Warsaw <barry@debian.org>  Mon, 08 Jun 2015 17:55:50 -0400

=== debian/control ===
Source: python-iso8601
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Benjamin Mako Hill <mako@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               pypy,
               pypy-setuptools,
               python-all,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://pypi.python.org/pypi/iso8601
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-iso8601.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-iso8601.git

Package: python-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module to parse ISO 8601 dates - Python 2.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 2.x module.

Package: python3-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python module to parse ISO 8601 dates - Python 3.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 3.x module.

Package: pypy-iso8601
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Provides: ${pypy:Provides}
Description: Python module to parse ISO 8601 dates - PyPy
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the PyPy module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYTHON3S:=$(shell py3versions -vr)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=python_distutils --with python2,python3,pypy
 
 override_dh_auto_install:
 	set -e && for pyvers in $(PYTHONS); do \
@@ -15,6 +15,8 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-iso8601; \
 	done
+	set -e && pypy setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/pypy-iso8601
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
@@ -24,4 +26,5 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	py.test --verbose iso8601
 	py.test-3 --verbose iso8601
+	# no py.test for pypy yet, so we can't run the tests for pypy
 endif

## python-iso8601 0.1.12

=== debian/changelog ===
python-iso8601 (0.1.12-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Remove Barry Warsaw as uploader.
  * Bump standards version.
  * Call python2 instead of python in the Python2 autopkg test.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 18:38:15 +0100

python-iso8601 (0.1.11-2) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop PyPy support
  * Use pybuild for building package
  * d/pyversions: Remove, not needed and obsolete
  * Bump debhelper compat level to 12
  * Bump standards version to 4.4.0 (no changes)
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Tue, 23 Jul 2019 17:42:44 +0200

=== debian/control ===
Source: python-iso8601
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python-all,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/iso8601
Vcs-Git: https://salsa.debian.org/python-team/modules/python-iso8601.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-iso8601
Testsuite: autopkgtest-pkg-python

Package: python-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module to parse ISO 8601 dates - Python 2.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 2.x module.

Package: python3-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python module to parse ISO 8601 dates - Python 3.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=iso8601

%:
	dh $@ --buildsystem=pybuild --with python2,python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/iso8601/iso8601-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-iso8601 0.1.13

=== debian/changelog ===
python-iso8601 (0.1.13-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Gordon Ball ]
  * d/control, copyright, watch: update homepage/tarball source to Github
  * New upstream version 0.1.13
  * d/control: Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 15:11:42 +0000

python-iso8601 (0.1.12-2) unstable; urgency=medium

  * Drop python2 support; Closes; #937847

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2020 16:01:01 -0400

=== debian/control ===
Source: python-iso8601
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/micktwomey/pyiso8601
Vcs-Git: https://salsa.debian.org/python-team/packages/python-iso8601.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-iso8601
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-iso8601
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python module to parse ISO 8601 dates - Python 3.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/micktwomey/pyiso8601/tags .*/archive/v?([\d\.-]+)\.tar\.gz

## python-iso8601 0.1.16

=== debian/changelog ===
python-iso8601 (0.1.16-1) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Fix broken d/watch pattern after github changes
  * New upstream version 0.1.16
  * Standards-Version: 4.6.0
  * Debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Sat, 09 Oct 2021 21:20:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Benjamin Mako Hill <mako@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/micktwomey/pyiso8601
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-iso8601.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-iso8601

## python-iso8601 1.0.2

=== debian/changelog ===
python-iso8601 (1.0.2-1) unstable; urgency=medium

  * Add myself as uploader.
  * New upstream release.
  * Ran wrap-and-sort -bastk.
  * Follow upstream and switch from setuptools to pybuild-plugin-pyproject.
  * Removed now useless 0001-fix-broken-distutils.patch.
  * Add build-dependencies:
    - python3-hypothesis
    - python3-tz

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 12:35:27 +0100

## python-iso8601 2.1.0

=== debian/changelog ===
python-iso8601 (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:37:24 +0200

python-iso8601 (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 11:21:19 +0100

=== debian/control ===
Source: python-iso8601
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Benjamin Mako Hill <mako@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-hypothesis,
 python3-pytest,
 python3-tz,
Standards-Version: 4.6.0
Homepage: https://github.com/micktwomey/pyiso8601
Vcs-Git: https://salsa.debian.org/python-team/packages/python-iso8601.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-iso8601
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-iso8601
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Python module to parse ISO 8601 dates - Python 3.x
 Many file formats and standards use the ISO 8601 date format
 (e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
 unambiguous manner. This simple Python module parses the most common
 forms encountered and returns Python datetime objects.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=iso8601

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Tests: smoketest-3
Depends:
 @,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/micktwomey/pyiso8601/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
